Robotics Service Bus - Enhancement #394
Improve Participant Configuration Interface
06/28/2011 10:53 AM - J. Moringen

Status: Resolved Start date: 06/28/2011
Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version: 0.5

Description

This is too complicated:

ParticipantConfig config
= Factory::getinstance().getDefaultParticipantConfig();
ParticipantConfig::Transport transport = config.getTransport("spread");
Properties options = transport.getOptions();
options["converters"] = createConverterSelectionStrategy<string>();
transport.setOptions(options);
config.addTransport(transport);
Factory::getinstance().setDefaultParticipantConfig(config);

Associated revisions

Revision 5509b1b9 - 09/22/2011 06:32 PM - J. Wienke

Add methods for mutable access to participant config parts

fixes #394

History

#1 - 09/22/2011 06:05 PM - J. Wienke
- Status changed from New to In Progress

- Assignee set to J. Wienke

#2 - 09/22/2011 06:33 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r2714.

#3 - 10/27/2011 08:16 PM - J. Moringen
- Target version changed from rsb-0.10 to 0.5
